from django.conf.urls import url
from .views import *
from .api.views import ReportDetaiApi, ReportPreviewApi, get_pdf, search_pay_reports, report_to_email, \
    get_report_request, get_pay_report_url, ajax_registration, create_reports_by_mobile, create_photos_by_mobile, \
    report_detail_mobile_app, upload_reports_to_auto_library, delete_report_by_mobile

app_name = 'report'

urlpatterns = [
    url(r'^view-old/(?P<report_id>\d+)/$',
        ReportView.as_view(), name='report_view_old'),
    url(r'^view/(?P<report_id>\d+)/$', ReportViewV2.as_view(), name='report_view'),
    url(r'^view-api/(?P<report_id>\d+)/$',
        ReportViewV2Api.as_view(), name='report_view'),
    url(r'^view-api3/$', ReportDetaiApi.as_view(), name='report_view'),
    url(r'^view-api3/(?P<report_id>\d+)/$',
        ReportDetaiApi.as_view(), name='report_view'),
    url(r'^get-pdf/$', render_to_pdf, name='get_pdf'),
    url(r'^get-report-request/$', get_report_request, name='get_report_request'),
    url(r'^report-to-email/$', report_to_email, name='report_to_email'),
    url(r'^get-pay-report-url/$', get_pay_report_url, name='get_pay_report_url'),
    url(r'^search-pay-reports/$', search_pay_reports, name='search_pay_reports'),
    url(r'^payment-success/$', payment_success, name='payment-success'),
    url(r'^report-edit/(?P<report_id>\d+)/$',
        ReportUpdateView.as_view(), name='report_edit'),
    url(r'^report-add/$', ReportCreateView.as_view(), name='add_report'),
    url(r'^report-add/(?P<order_id>\d+)/$',
        ReportCreateView.as_view(), name='add_report_for_order'),
    url(r'^add-report-for-order/(?P<order_id>\d+)$',
        add_report_for_auto, name='add_report_for_auto'),
    url(r'^add-report-for-auto/(?P<auto_id>\d+)/$',
        add_report_for_auto, name='add_report_for_auto'),
    url(r'^add-report-for-auto/(?P<auto_id>\d+)/(?P<order_id>\d+)/$',
        add_report_for_auto, name='add_report_for_auto'),
    url(r'^add-report-for-auto/(?P<auto_id>\d+)/(?P<order_id>[-\w]+)/$',
        add_report_for_auto, name='add_report_for_auto'),
    url(r'^add-auto-from-auto-ru/$', add_auto_from_auto_ru,
        name='add_auto_from_auto_ru'),
    url(r'^add-auto-from-auto-ru/(?P<report_id>\d+)/$',
        add_auto_from_auto_ru, name='add_auto_from_auto_ru'),
    url(r'^add-auto-manual/$', report_set_auto, name='add_auto_manual'),
    url(r'^add-auto-manual/(?P<report_id>\d+)/$',
        report_set_auto, name='add_auto_manual'),
    url(r'^cars-for-add-report/$', CarsForAddReport.as_view(),
        name='cars_for_add_report'),
    url(r'^cars-for-add-report/(?P<order_id>\d+)/$',
        CarsForAddReport.as_view(), name='cars_for_add_report_by_order'),
    url(r'^cars-for-update-report/(?P<report_id>\d+)/$',
        CarsForUpdateReport.as_view(), name='cars_for_update_report'),
    url(r'^delete/(?P<report_id>\d+)/$', ppk_report_delete, name='report_delete'),
    url(r'^list/$', ReportList.as_view(), name='report_list'),
    url('^preview/$', ReportPreviewApi.as_view()),
    url('^preview/registration/$', ajax_registration, name='short_registration'),
    url('^preview/signup/$', ajax_registration, name='ajaxs_signup'),

    url(r'^sales-list/$', SalesReportList.as_view(), name='sales_report_list'),
    url(r'^list-by-car/(?P<car_id>\d+)$',
        ReportsByCar.as_view(), name='reports_by_car'),
    url(r'^list-by-car/(?P<slug>[-\w]+)$',
        ReportsByCar.as_view(), name='reports_by_car_slug'),
    url(r'^filter/$', get_report_filter, name='report_filter'),
    url(r'^get_data_from_auto_ru/$', get_data_from_auto_ru,
        name='get_data_from_auto_ru'),
    url(r'^get-report-steps/(?P<report_id>\d+)$',
        get_report_steps, name='get_report_data'),
    url(r'^udate-auto-cover/(?P<report_id>\d+)/$',
        udate_auto_cover, name='udate_auto_cover'),
    url(r'^update-photo/(?P<photo_id>\d+)$', update_photo, name='update_photo'),
    url(r'^delete-photos/$', delete_photos, name='delete_photos'),
    url(r'^set-unread-report/(?P<auto_id>\d+)$',
        set_unread_report_by_auto_id, name='set_unread_report_by_auto_id'),
    url(r'^upload_photo/$', upload_photo, name='upload_photo_report'),
    url(r'^create-reports-by-mobile/$', create_reports_by_mobile, name='create_reports_by_mobile'),
    url(r'^delete-reports-by-mobile/$', delete_report_by_mobile, name='delete_report_by_mobile'),
    url(r'^create-photos-by-mobile/$', create_photos_by_mobile, name='create_photos_by_mobile'),
    url(r'^report-detail-mobile-app/$', report_detail_mobile_app),
    url(r'^upload-reports-to-auto-library/$', upload_reports_to_auto_library),
    url(r'^gallery_photos_by_report/(?P<report_id>\d+)$', GalleryPhotosByReport.as_view(), name='gallery_photos_by_report'),
]
